Annual Budget Comparative
AnnualBudgetComparative objects represent the individual line-items in an Annual Budget Comparative report. Skywalk API allows you to obtain the following attributes from an Annual Budget Comparative report:
The AnnualBudgetComparative Object
Attributes
idstring
Ephemeral ID for the purpose of child/parent traversal.
Example:
"2"
titlestring
Name of record.
Example:
"Rent Income"
glAccountIdstring
Unique ID for this GL Account.
Example:
"2"
glAccountNamestring
Name of associated GL Account.
Example:
"Rent Income"
glAccountCodestring
Name of associated GL Account.
Example:
"1150"
mtdActualstring
Month to date Actual.
Example:
"12,333.00"
mtdBudgetstring
Month to date Budget.
Example:
"11,000.00"
mtdAmountVariancestring
Month to date variance from budget.
Example:
"1,333.00"
mtdPercentVariancestring
Month to date percent variance from budget.
Example:
"89.19%"
ytdActualstring
Year to date Actual.
Example:
"34,500.00"
ytdBudgetstring
Year to date Budget.
Example:
"33,000.00"
ytdAmountVariancestring
Year to date variance from budget.
Example:
"1,500.00"
ytdPercentVariancestring
Year to date percent variance from budget.
Example:
"95.65%"
annualstring
Annual budget.
notestring
Note.
parentIdstring
Maps to the ID of the parent record.
Example:
"1"
childIdsstring[]
Maps to the ID of the child records.
Example:
[]
The AnnualBudgetComparative Object
{
"id": "2",
"title": "Rent Income",
"glAccountId": "2",
"glAccountName": "Rent Income",
"glAccountCode": "1150",
"mtdActual": "12,333.00",
"mtdBudget": "11,000.00",
"mtdAmountVariance": "1,333.00",
"mtdPercentVariance": "89.19%",
"ytdActual": "34,500.00",
"ytdBudget": "33,000.00",
"ytdAmountVariance": "1,500.00",
"ytdPercentVariance": "95.65%",
"childIds": [],
"parentId": "1"
}
Get Annual Budget Comparative
GET /v1/annual-budget-comparative
Follows: Authentication • Caching • Polling • List Response Format • Scheduled Job
The annual budget comparative endpoint returns an annual budget comparative in your AppFolio® account. This endpoint should respond immediately with your most recently cached data.
Parameters
propertyIdselect
AppFolio ID of a Property to serve as a filter.
propertyGroupIdselect
AppFolio ID of a Property Group to serve as a filter.
ownerIdselect
AppFolio ID of an Owner to serve as a filter.
accountingselect
Accounting Basis.
Default: cash.
Possible Values: cash, accrual
Default Value:
cash
Possible Values:
cash
accrual
datedate
"As of" date for report given in MM/DD/YYYY (e.g. 01/31/2021)
Returns
The standard List Response Format with a data property containing an array of AnnualBudgetComparative objects.
GET /v1/annual-budget-comparative
curl -X GET 'https://api.skywalkapi.com/v1/annual-budget-comparative' \
-H "X-API-Key: PUT_YOUR_API_KEY_HERE"
Response
{
"meta": {
"status": "ok",
"path": "/v1/annual-budget-comparative",
"query": {},
"count": 2,
"lastUpdated": 1610992228
},
"links": {
"next": null
},
"data": [
{
"id": "1",
"title": "Operating Income",
"glAccountId": null,
"glAccountName": "Income",
"glAccountCode": null,
"childIds": [
"2"
]
},
{
"id": "2",
"title": "Rent Income",
"glAccountId": "2",
"glAccountName": "Rent Income",
"glAccountCode": "1150",
"mtdActual": "12,333.00",
"mtdBudget": "11,000.00",
"mtdAmountVariance": "1,333.00",
"mtdPercentVariance": "89.19%",
"ytdActual": "34,500.00",
"ytdBudget": "33,000.00",
"ytdAmountVariance": "1,500.00",
"ytdPercentVariance": "95.65%",
"childIds": [],
"parentId": "1"
}
]
}